## cmmlenc cmmlenc — Encodes CMML streams |

## Synopsis

    struct              GstCmmlEnc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstCmmlEnc

## Properties

      "granule-rate-denominator" gint64                : Read / Write / Construct
      "granule-rate-numerator"   gint64                : Read / Write / Construct
      "granule-shift"            guchar                : Read / Write / Construct

## Description

## Synopsis

### Element Information

plugin | annodex
author | Alessandro Decina <alessandro@nnva.org>
class | Codec/Encoder

### Element Pads

name | sink
direction | sink
presence | always
details | text/x-cmml, encoded=(boolean)false

name | src
direction | source
presence | always
details | text/x-cmml, encoded=(boolean)true

## Details

### struct GstCmmlEnc

    struct GstCmmlEnc;

## Property Details

### The `"granule-rate-denominator"` property

      "granule-rate-denominator" gint64                : Read / Write / Construct

Granulerate denominator.

Allowed values: >= 0

Default value: 1

### The `"granule-rate-numerator"` property

      "granule-rate-numerator"   gint64                : Read / Write / Construct

Granulerate numerator.

Allowed values: >= 0

Default value: 1000

### The `"granule-shift"` property

      "granule-shift"            guchar                : Read / Write / Construct

The number of lower bits to use for partitioning a granule position.

Allowed values: <= 64

Default value: 32